Bug 109648 - AMD Raven hang during va-api decoding
Summary: AMD Raven hang during va-api decoding
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-15 22:15 UTC by Michael Eagle
Modified: 2019-04-04 19:07 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg (91.77 KB, text/plain)
2019-02-15 22:15 UTC, Michael Eagle
Details
Mesa radeon vcn vp9 patch (1016 bytes, patch)
2019-03-27 12:53 UTC, leoxsliu
Details | Splinter Review
attachment-5841-0.html (281 bytes, text/html)
2019-04-04 19:05 UTC, Michael Eagle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Eagle 2019-02-15 22:15:13 UTC
Created attachment 143383 [details]
dmesg

Hello,

After fixing https://bugs.freedesktop.org/show_bug.cgi?id=109107, hardware decode on Ryzen 2700u started working again.

However, at the next update at mesa git 67426cc the GPU is hanging completely if I try to watch videos on chromium-vaapi, with the following error:

[  215.259576] amdgpu 0000:04:00.0: [mmhub] VMC page fault (src_id:0 ring:40 vmid:5 pasid:32770, for process chromium-vaapi pid 2877 thread chromium-v:cs0 pid 2946)
[  215.259583] amdgpu 0000:04:00.0:   in page starting at address 0x0000800110352000 from 18
[  215.259585] amdgpu 0000:04:00.0: VM_L2_PROTECTION_FAULT_STATUS:0x00540451
[  225.212368] [drm:amdgpu_job_timedout [amdgpu]] *ERROR* ring vcn_dec timeout, signaled seq=46, emitted seq=48
[  225.212466] [drm:amdgpu_job_timedout [amdgpu]] *ERROR* Process information: process chromium-vaapi pid 2877 thread chromium-v:cs0 pid 2946


Graphical interface is hanged completely however music keeps hanging in the background, so I was able to ssh into the system and dump the dmesg log.

Fedora repos:
che-mesa, rpmfusion, fedora-rawhide-kernel-nodebug
Mesa-git installed is build from: sha 67426cc


Full dmesg log attached.
Comment 1 Michael Eagle 2019-02-15 22:52:51 UTC
Same behavior happens with both:
kernel-5.0.0-0.rc4.git2.2.fc30.x86_64
kernel-5.0.0-0.rc6.git1.2.fc30.x86_64


Downgrading the kernel to official fedora '4.20.7-200.fc29.x86_64' makes the system not to crash anymore, however the video is very scrambled, as part of it would play in a loop.

Disabling 'hardware accelerated video decode' in chrome://flags/ fixes the issue.
Comment 2 leoxsliu 2019-03-27 12:53:20 UTC
Created attachment 143790 [details] [review]
Mesa radeon vcn vp9 patch
Comment 3 leoxsliu 2019-03-27 12:54:38 UTC
Please try the attached patch for VP9 HW acceleration fix for Chromium browser.
Comment 4 jamesz@amd.com 2019-03-27 16:43:25 UTC
Test on bench with this patch. The hung issue was fixed.
Comment 5 Michael Eagle 2019-04-04 19:05:59 UTC
Created attachment 143864 [details]
attachment-5841-0.html

Hello,

Sorry for the late reply, I've just tested it using mesa git SHA 138865e ,
which includes this commit. And the issue seems solved.
I suppose this can be closed now.
Thank you much!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.